#!/bin/sh -x
#
# Copyright (c) 2018 Oracle and/or its affiliates. All rights reserved.
# Licensed under the Universal Permissive License v 1.0 as shown at http://oss.oracle.com/licenses/upl.

PORT="${1:-}"
IPVS="${2:-}"

/usr/local/share/kubeadm/kubeadm-ha/envcheck.sh "master" "${PORT}" "${IPVS}"

systemctl restart kubelet
systemctl restart docker

systemctl enable docker
systemctl enable kubelet
systemctl enable kubectl-proxy
systemctl restart kubectl-proxy

# clean up
rm -rf /tmp/.kubeadm
